Subject: (urth) Ted's Gift

From: nsowards16 at verizon.net <nsowards16 at verizon.net>
Date: Wed, 24 Mar 2010 23:18:28 +0000

Mild spoilers ahoy.

.

.

.

.

.

I've seen a couple of people wondering what it was Ted left behind when he visited Doris. What would you use while crying that would have your initials on it?

A handkerchief, presumably.

I think the real questions are:

1. How/why did Ted leave it behind?

2. Why did Doris refrain from identifying it?

3. What is Ted's full name, and does it have any significance?

I have nothing to venture regarding 1 or 2, but I think Mr. (or Mrs. Gwern's not really helping me out re: gender) Branwen is on to something regarding 3: T for Ted, G for Griffin, and A for "Ambrosius. As in, the supposed usurper of Goldwurm.  Perhaps Ted pulled a Bax, if you will . . ."